.SUFFIXES: .o .C .c  .cpp

include mkfiles


##################################################################

include ../../sys/config/mkflags

##################################################################

CPPOBJECTS =$(CPPOBJS:%= $(OBJDIR)/%)
CCOBJECTS =$(CCOBJS:%= $(OBJDIR)/%)
CPPOBJECTS2 =$(CPPOBJS:%= $(OBJDIR2)/%)
CCOBJECTS2 =$(CCOBJS:%= $(OBJDIR2)/%)

#.c.o:
#	$(CC1) $(C++FLAGS) -c $(*F).c  -o $(OBJDIR)/$*.o
#
#.C.o:
#	$(CC) $(C++FLAGS) -c $(*F).C   -o $(OBJDIR)/$*.o
#
#.cpp.o:
#	$(CC) $(C++FLAGS) -c $(*F).cpp -o $(OBJDIR)/$*.o
#

LIBDLLBASE  = $(LIBNAME)
#LIBDLL  = $(LIBNAME).$(VERSION).d
#LIBDLL2 = $(LIBNAME).$(VERSION)
LIBDLL  = $(LIBNAME).d
LIBDLL2 = $(LIBNAME)

#all: $(LIBDIR)/$(LIBDLL) $(LIBDIR)/$(LIBDLL2)
all: runtime
runtime: $(LIBDIR)/$(LIBDLL2)
debug: $(LIBDIR)/$(LIBDLL2)
static: $(LIBDIR)/$(LIBDLL2)
static-debug: $(LIBDIR)/$(LIBDLL2)

$(LIBDIR)/$(LIBDLL): $(CPPOBJECTS) $(CCOBJECTS)
	$(CC) -o $(LIBDIR)/$(LIBDLL) $(SHARED)$(LIBDLLBASE) $(CCOBJECTS) $(CPPOBJECTS) $(LIBJPG)

$(LIBDIR)/$(LIBDLL2): $(CPPOBJECTS2) $(CCOBJECTS2)
	$(CC) -o $(LIBDIR)/$(LIBDLL2) $(SHARED)$(LIBDLLBASE) $(CPPOBJECTS2) $(CCOBJECTS2) $(LIBJPG)


$(OBJDIR)/%.o:%.cpp
	$(CC) $(C++FLAGS_DLL) -c $(*F).cpp -o $(OBJDIR)/$*.o $(INCJPG)
$(OBJDIR)/%.o:%.c
	$(CC1) $(C++FLAGS_DLL) -c $(*F).c   -o $(OBJDIR)/$*.o $(INCJPG)
$(OBJDIR2)/%.o:%.cpp
	$(CC) $(C++FLAGS2_DLL) -c $(*F).cpp -o $(OBJDIR2)/$*.o $(INCJPG)
$(OBJDIR2)/%.o:%.c
	$(CC1) $(C++FLAGS2_DLL) -c $(*F).c   -o $(OBJDIR2)/$*.o $(INCJPG)

#$(CPPOBJECTS):
#	$(CC) $(C++FLAGS) -c $(*F).cpp -o $*.o
#
#$(CCOBJECTS):
#	$(CC) $(C++FLAGS) -c $(*F).c -o $*.o


clean:
	\rm -f $(CPPOBJECTS) $(CCOBJECTS) $(CPPOBJECTS2) $(CCOBJECTS2) *.bak
	\rm -f $(LIBDIR)/$(LIBDLL)  $(LIBDIR)/$(LIBDLL2)


